extends RigidBody3D

@export var camera: Camera3D
@export var speed: float = 100
var target_y_rotation: float = 0
var jump: bool = false 



func _ready():
	pass

func _physics_process(delta):
	# Get input for movement
	var horizontal_input = Input.get_action_strength("→") - Input.get_action_strength("←")
	var vertical_input = Input.get_action_strength("↓") - Input.get_action_strength("↑")
	
	# Calculate movement based on camera's rotation
	var camera_relative_input = Vector3(horizontal_input, 0, vertical_input).rotated(Vector3.UP, camera.rotation.y)
	# Apply movement to player
	
	self.apply_central_force(camera_relative_input * speed)
	
	if Input.get_action_strength("jump") > 0:
		if not jump:
			self.apply_central_impulse(Vector3.UP * 10)
		jump = true
	else:
		jump = false
	
	#if camera_relative_input.length() > 0:
	#	var move_x = camera_relative_input.x
	#	var move_z = camera_relative_input.z
	#
	#	target_y_rotation = asin(move_z / move_x)
	#self.apply_torque(Vector3(0,self.rotation.y - target_y_rotation,0))
		
		
		
		
	
	
	

