extends Node

class_name ForceField

@export var force_strength: float = 10
@export var affected_objects_root: Node =  null

# Called when the node enters the scene tree for the first time.
func _ready():
	if affected_objects_root != null:
		for child in affected_objects_root.get_children():
			if child is ForceFieldAffected and child != self:
				child.add_force_field(self)

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass

func get_force(client):
	pass # overriten in clients
