extends ForceField

class_name DirectedForceField

@export var field_extent: Vector3 = Vector3(1,5,1)
@export var force_direction: Vector3 = Vector3(0,1,0)

# Called when the node enters the scene tree for the first time.
func _ready():
	super._ready()

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass

func get_force(client):
	
	var t1 = self.global_position
	var t2 = client.global_position
	
	var delta_p = t2 - t1
	
	if abs(delta_p.x) < field_extent.x:
		if abs(delta_p.y) < field_extent.y:
			if abs(delta_p.z) < field_extent.z:
				
				return client.mass * self.force_strength * force_direction
	
	return Vector3.ZERO
