extends ForceField

class_name MagneticForceField

@export var charge: float = 1.0

# Called when the node enters the scene tree for the first time.
func _ready():
	super._ready()

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass

func get_force(client):
	var t1 = self.global_position
	var t2 = client.global_position
	
	var direction = t2 - t1
	var l = direction.length()
	
	var charge_factor = self.charge * client.charge * self.force_strength
	
	if l < 0.001:
		return Vector3.ZERO
	
	return (1 / l**2) * client.mass * charge_factor * direction.normalized()
